Parameters (Apache Tomcat 8.5.83 API Documentation)

Package org.apache.tomcat.util.http

## Class Parameters

- java.lang.Object
- - org.apache.tomcat.util.http.Parameters

-     public final class Parameters
      extends java.lang.Object

  Author:
    Costin Manolache

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Parameters.FailReason` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `DEFAULT_ENCODING` | Deprecated. This will be removed in Tomcat 9.0.x

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Parameters()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addParameter​(java.lang.String key, java.lang.String value)` |
    `java.nio.charset.Charset` | `getCharset()` |
    `java.lang.String` | `getEncoding()` | Deprecated. This method will be removed in Tomcat 9.0.x
    `java.lang.String` | `getParameter​(java.lang.String name)` |
    `java.util.Enumeration<java.lang.String>` | `getParameterNames()` |
    `java.lang.String[]` | `getParameterValues​(java.lang.String name)` |
    `Parameters.FailReason` | `getParseFailedReason()` |
    `void` | `handleQueryParameters()` | Process the query string into parameters
    `boolean` | `isParseFailed()` |
    `void` | `processParameters​(byte[] bytes, int start, int len)` |
    `void` | `processParameters​(MessageBytes data, java.lang.String encoding)` | Deprecated. This method will be removed in Tomcat 9.0.x
    `void` | `processParameters​(MessageBytes data, java.nio.charset.Charset charset)` |
    `void` | `recycle()` |
    `void` | `setCharset​(java.nio.charset.Charset charset)` |
    `void` | `setEncoding​(java.lang.String s)` | Deprecated. This method will be removed in Tomcat 9.0.x
    `void` | `setLimit​(int limit)` |
    `void` | `setParseFailedReason​(Parameters.FailReason failReason)` |
    `void` | `setQuery​(MessageBytes queryMB)` |
    `void` | `setQueryStringCharset​(java.nio.charset.Charset queryStringCharset)` |
    `void` | `setQueryStringEncoding​(java.lang.String s)` | Deprecated. This method will be removed in Tomcat 9
    `void` | `setURLDecoder​(UDecoder u)` |
    `java.lang.String` | `toString()` | Debug purpose

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_ENCODING

          @Deprecated
          public static final java.lang.String DEFAULT_ENCODING

      Deprecated.
      This will be removed in Tomcat 9.0.x
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Parameters

          public Parameters()

  - ### Method Detail

    - #### setQuery

          public void setQuery​(MessageBytes queryMB)

    - #### setLimit

          public void setLimit​(int limit)

    - #### getEncoding

          @Deprecated
          public java.lang.String getEncoding()

      Deprecated.
      This method will be removed in Tomcat 9.0.x
      Returns:
        The current encoding

    - #### getCharset

          public java.nio.charset.Charset getCharset()

    - #### setEncoding

          @Deprecated
          public void setEncoding​(java.lang.String s)

      Deprecated.
      This method will be removed in Tomcat 9.0.x
      Parameters:
        `s` - The new encoding

    - #### setCharset

          public void setCharset​(java.nio.charset.Charset charset)

    - #### setQueryStringEncoding

          @Deprecated
          public void setQueryStringEncoding​(java.lang.String s)

      Deprecated.
      This method will be removed in Tomcat 9
      Parameters:
        `s` - The new query string encoding

    - #### setQueryStringCharset

          public void setQueryStringCharset​(java.nio.charset.Charset queryStringCharset)

    - #### isParseFailed

          public boolean isParseFailed()

    - #### getParseFailedReason

          public Parameters.FailReason getParseFailedReason()

    - #### setParseFailedReason

          public void setParseFailedReason​(Parameters.FailReason failReason)

    - #### recycle

          public void recycle()

    - #### getParameterValues

          public java.lang.String[] getParameterValues​(java.lang.String name)

    - #### getParameterNames

          public java.util.Enumeration<java.lang.String> getParameterNames()

    - #### getParameter

          public java.lang.String getParameter​(java.lang.String name)

    - #### handleQueryParameters

          public void handleQueryParameters()

      Process the query string into parameters

    - #### addParameter

          public void addParameter​(java.lang.String key,
                                   java.lang.String value)
                            throws java.lang.IllegalStateException

      Throws:
        `java.lang.IllegalStateException`

    - #### setURLDecoder

          public void setURLDecoder​(UDecoder u)

    - #### processParameters

          public void processParameters​(byte[] bytes,
                                        int start,
                                        int len)

    - #### processParameters

          @Deprecated
          public void processParameters​(MessageBytes data,
                                        java.lang.String encoding)

      Deprecated.
      This method will be removed in Tomcat 9.0.x
      Parameters:
        `data` - Parameter data
        `encoding` - Encoding to use for encoded bytes

    - #### processParameters

          public void processParameters​(MessageBytes data,
                                        java.nio.charset.Charset charset)

    - #### toString

          public java.lang.String toString()

      Debug purpose
      Overrides:
        `toString` in class `java.lang.Object`